Pimics Publication API OData specification
Pimics Publication API OData specification
Version: 12.0.0
BasePath:/v2.0/Production/api/pimics/publication/v2.0
All rights reserved
http://apache.org/licenses/LICENSE-2.0.html
Access
- OAuth AuthorizationUrl:TokenUrl:https://login.microsoftonline.com/{tenantId}/oauth2/v2.0/token
[ Jump to Models ]
Table of Contents
post /companies({id})/valueTranslations
delete /companies({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
get /companies({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
get /companies({id})/valueTranslations
patch /companies({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
post /featureValueSets({id})/valueTranslations
delete /featureValueSets({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
get /featureValueSets({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
get /featureValueSets({id})/valueTranslations
patch /featureValueSets({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
post /featuresValues({id})/valueTranslations
delete /featuresValues({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
get /featuresValues({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
get /featuresValues({id})/valueTranslations
patch /featuresValues({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
Up
get /apicategoryroutes({route})
Get entity from apicategoryroutes by key (apicategoryroutes.apicategoryroutes.GetApicategoryroutes)
Path parameters
route (required)
Path Parameter — key: route of apicategoryroutes
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"route" : "string (identifier)",
"publisher" : "string",
"group" : "string",
"version" : "string"
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved entity
Microsoft.NAV.apicategoryroutes
default
error
odata.error
Up
get /apicategoryroutes
Get entities from apicategoryroutes (apicategoryroutes.apicategoryroutes.ListApicategoryroutes)
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"route" : "string (identifier)",
"publisher" : "string",
"group" : "string",
"version" : "string"
}, {
"route" : "string (identifier)",
"publisher" : "string",
"group" : "string",
"version" : "string"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved entities
Collection of apicategoryroutes
default
error
odata.error
Get entity from categories by key (categories.category.GetCategory)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"type" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"parentId" : "string",
"categoryId" : "string",
"sisterLineId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"items" : [ {
"@odata.type" : "Microsoft.NAV.item"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved entity
Microsoft.NAV.category
default
error
odata.error
Up
get /categories({id})/mainPictureSource
Get media content for category from categories (categories.category.GetMainPictureSource)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Return type
byte[]
Example data
Content-Type: application/json
""
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
application/octet-stream
application/json
Responses
200
Retrieved media content
byte[]
default
error
odata.error
Get entities from categories (categories.category.ListCategory)
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"type" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"parentId" : "string",
"categoryId" : "string",
"sisterLineId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"items" : [ {
"@odata.type" : "Microsoft.NAV.item"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ]
}, {
"id" : "string (identifier)",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"type" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"parentId" : "string",
"categoryId" : "string",
"sisterLineId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"items" : [ {
"@odata.type" : "Microsoft.NAV.item"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ]
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved entities
Collection of category
default
error
odata.error
Up
post /categories({id})/contents
Create new navigation property to contents for categories (categories.CreateContents)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"publicationCode" : "string",
"lineId" : "string",
"lineType" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentEntityUrl" : "string",
"templateCode" : "string",
"level" : "integer",
"lineNo" : "integer",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.content
default
error
odata.error
Up
delete /categories({id})/contents({id1})
Delete navigation property contents for categories (categories.DeleteContents)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of content format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /categories({id})/contents({id1})
Get contents from categories (categories.GetContents)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of content format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"publicationCode" : "string",
"lineId" : "string",
"lineType" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentEntityUrl" : "string",
"templateCode" : "string",
"level" : "integer",
"lineNo" : "integer",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.content
default
error
odata.error
Up
get /categories({id})/contents
Get contents from categories (categories.ListContents)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"publicationCode" : "string",
"lineId" : "string",
"lineType" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentEntityUrl" : "string",
"templateCode" : "string",
"level" : "integer",
"lineNo" : "integer",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}, {
"id" : "string (identifier)",
"publicationCode" : "string",
"lineId" : "string",
"lineType" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentEntityUrl" : "string",
"templateCode" : "string",
"level" : "integer",
"lineNo" : "integer",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of content
default
error
odata.error
Up
patch /categories({id})/contents({id1})
Update the navigation property contents in categories (categories.UpdateContents)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of content format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /categories({id})/defaultTranslations
Create new navigation property to defaultTranslations for categories (categories.CreateDefaultTranslations)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"lineGuid" : "string (identifier)",
"lang" : "string (identifier)",
"description" : "string",
"description2" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"reference" : {
"@odata.type" : "Microsoft.NAV.reference"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.defaultTranslation
default
error
odata.error
Up
delete /categories({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})
Delete navigation property defaultTranslations for categories (categories.DeleteDefaultTranslations)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
lineGuid (required)
Path Parameter — key: lineGuid of defaultTranslation format: uuid
lang (required)
Path Parameter — key: lang of defaultTranslation
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /categories({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})
Get defaultTranslations from categories (categories.GetDefaultTranslations)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
lineGuid (required)
Path Parameter — key: lineGuid of defaultTranslation format: uuid
lang (required)
Path Parameter — key: lang of defaultTranslation
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"lineGuid" : "string (identifier)",
"lang" : "string (identifier)",
"description" : "string",
"description2" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"reference" : {
"@odata.type" : "Microsoft.NAV.reference"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.defaultTranslation
default
error
odata.error
Up
get /categories({id})/defaultTranslations
Get defaultTranslations from categories (categories.ListDefaultTranslations)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"lineGuid" : "string (identifier)",
"lang" : "string (identifier)",
"description" : "string",
"description2" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"reference" : {
"@odata.type" : "Microsoft.NAV.reference"
}
}, {
"lineGuid" : "string (identifier)",
"lang" : "string (identifier)",
"description" : "string",
"description2" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"reference" : {
"@odata.type" : "Microsoft.NAV.reference"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of defaultTranslation
default
error
odata.error
Up
patch /categories({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})
Update the navigation property defaultTranslations in categories (categories.UpdateDefaultTranslations)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
lineGuid (required)
Path Parameter — key: lineGuid of defaultTranslation format: uuid
lang (required)
Path Parameter — key: lang of defaultTranslation
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /categories({id})/documents
Create new navigation property to documents for categories (categories.CreateDocuments)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"type" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"link" : "string",
"sourceFileName" : "string",
"mimeType" : "string",
"templateCode" : "string",
"order" : "integer",
"documentUsage" : "string",
"dataId" : "string",
"repositoryType" : {
"@odata.type" : "Microsoft.NAV.pimxDocumentRepositoryType"
},
"externalContainerId" : "string",
"externalId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"sorting" : "integer",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"documentTranslations" : [ {
"@odata.type" : "Microsoft.NAV.documentTranslation"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"variant" : {
"@odata.type" : "Microsoft.NAV.variant"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.document
default
error
odata.error
Up
delete /categories({id})/documents({id1})
Delete navigation property documents for categories (categories.DeleteDocuments)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of document format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /categories({id})/documents({id1})
Get documents from categories (categories.GetDocuments)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of document format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"type" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"link" : "string",
"sourceFileName" : "string",
"mimeType" : "string",
"templateCode" : "string",
"order" : "integer",
"documentUsage" : "string",
"dataId" : "string",
"repositoryType" : {
"@odata.type" : "Microsoft.NAV.pimxDocumentRepositoryType"
},
"externalContainerId" : "string",
"externalId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"sorting" : "integer",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"documentTranslations" : [ {
"@odata.type" : "Microsoft.NAV.documentTranslation"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"variant" : {
"@odata.type" : "Microsoft.NAV.variant"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.document
default
error
odata.error
Up
get /categories({id})/documents
Get documents from categories (categories.ListDocuments)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"type" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"link" : "string",
"sourceFileName" : "string",
"mimeType" : "string",
"templateCode" : "string",
"order" : "integer",
"documentUsage" : "string",
"dataId" : "string",
"repositoryType" : {
"@odata.type" : "Microsoft.NAV.pimxDocumentRepositoryType"
},
"externalContainerId" : "string",
"externalId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"sorting" : "integer",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"documentTranslations" : [ {
"@odata.type" : "Microsoft.NAV.documentTranslation"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"variant" : {
"@odata.type" : "Microsoft.NAV.variant"
}
}, {
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"type" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"link" : "string",
"sourceFileName" : "string",
"mimeType" : "string",
"templateCode" : "string",
"order" : "integer",
"documentUsage" : "string",
"dataId" : "string",
"repositoryType" : {
"@odata.type" : "Microsoft.NAV.pimxDocumentRepositoryType"
},
"externalContainerId" : "string",
"externalId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"sorting" : "integer",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"documentTranslations" : [ {
"@odata.type" : "Microsoft.NAV.documentTranslation"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"variant" : {
"@odata.type" : "Microsoft.NAV.variant"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of document
default
error
odata.error
Up
patch /categories({id})/documents({id1})
Update the navigation property documents in categories (categories.UpdateDocuments)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of document format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /categories({id})/documentsSources
Create new navigation property to documentsSources for categories (categories.CreateDocumentsSources)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"code" : "string",
"source" : "string"
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.documentSource
default
error
odata.error
Up
delete /categories({id})/documentsSources({id1})
Delete navigation property documentsSources for categories (categories.DeleteDocumentsSources)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of documentSource format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /categories({id})/documentsSources({id1})
Get documentsSources from categories (categories.GetDocumentsSources)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of documentSource format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"code" : "string",
"source" : "string"
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.documentSource
default
error
odata.error
Up
get /categories({id})/documentsSources
Get documentsSources from categories (categories.ListDocumentsSources)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"code" : "string",
"source" : "string"
}, {
"id" : "string (identifier)",
"code" : "string",
"source" : "string"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of documentSource
default
error
odata.error
Up
patch /categories({id})/documentsSources({id1})
Update the navigation property documentsSources in categories (categories.UpdateDocumentsSources)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of documentSource format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /categories({id})/features
Create new navigation property to features for categories (categories.CreateFeatures)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"number" : "string",
"lineType" : "string",
"description" : "string",
"valueId" : "string",
"value" : "string",
"textValue" : "string",
"fromValue" : "number",
"toValue" : "number",
"unitCode" : "string",
"unit" : "string",
"unitShorthand" : "string",
"classification" : "string",
"type" : "string",
"order" : "integer",
"polyvalent" : true,
"featureType" : {
"@odata.type" : "Microsoft.NAV.pimxFeatureType"
},
"parentItemNo" : "string",
"dataId" : "string",
"valueSearchDescription" : "string",
"importance" : {
"@odata.type" : "Microsoft.NAV.pimxImportance"
},
"relevance" : {
"@odata.type" : "Microsoft.NAV.pimxRelevance"
},
"valueSetId" : "integer",
"sorting" : "integer",
"element" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"usageTypeCode" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"featuresValues" : [ {
"@odata.type" : "Microsoft.NAV.featureValue"
} ],
"featureValueSets" : [ {
"@odata.type" : "Microsoft.NAV.featureValueSet"
} ],
"featureTranslations" : [ {
"@odata.type" : "Microsoft.NAV.featureTranslation"
} ],
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.feature
default
error
odata.error
Up
delete /categories({id})/features({id1})
Delete navigation property features for categories (categories.DeleteFeatures)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of feature format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /categories({id})/features({id1})
Get features from categories (categories.GetFeatures)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of feature format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"number" : "string",
"lineType" : "string",
"description" : "string",
"valueId" : "string",
"value" : "string",
"textValue" : "string",
"fromValue" : "number",
"toValue" : "number",
"unitCode" : "string",
"unit" : "string",
"unitShorthand" : "string",
"classification" : "string",
"type" : "string",
"order" : "integer",
"polyvalent" : true,
"featureType" : {
"@odata.type" : "Microsoft.NAV.pimxFeatureType"
},
"parentItemNo" : "string",
"dataId" : "string",
"valueSearchDescription" : "string",
"importance" : {
"@odata.type" : "Microsoft.NAV.pimxImportance"
},
"relevance" : {
"@odata.type" : "Microsoft.NAV.pimxRelevance"
},
"valueSetId" : "integer",
"sorting" : "integer",
"element" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"usageTypeCode" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"featuresValues" : [ {
"@odata.type" : "Microsoft.NAV.featureValue"
} ],
"featureValueSets" : [ {
"@odata.type" : "Microsoft.NAV.featureValueSet"
} ],
"featureTranslations" : [ {
"@odata.type" : "Microsoft.NAV.featureTranslation"
} ],
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.feature
default
error
odata.error
Up
get /categories({id})/features
Get features from categories (categories.ListFeatures)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"number" : "string",
"lineType" : "string",
"description" : "string",
"valueId" : "string",
"value" : "string",
"textValue" : "string",
"fromValue" : "number",
"toValue" : "number",
"unitCode" : "string",
"unit" : "string",
"unitShorthand" : "string",
"classification" : "string",
"type" : "string",
"order" : "integer",
"polyvalent" : true,
"featureType" : {
"@odata.type" : "Microsoft.NAV.pimxFeatureType"
},
"parentItemNo" : "string",
"dataId" : "string",
"valueSearchDescription" : "string",
"importance" : {
"@odata.type" : "Microsoft.NAV.pimxImportance"
},
"relevance" : {
"@odata.type" : "Microsoft.NAV.pimxRelevance"
},
"valueSetId" : "integer",
"sorting" : "integer",
"element" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"usageTypeCode" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"featuresValues" : [ {
"@odata.type" : "Microsoft.NAV.featureValue"
} ],
"featureValueSets" : [ {
"@odata.type" : "Microsoft.NAV.featureValueSet"
} ],
"featureTranslations" : [ {
"@odata.type" : "Microsoft.NAV.featureTranslation"
} ],
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}, {
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"number" : "string",
"lineType" : "string",
"description" : "string",
"valueId" : "string",
"value" : "string",
"textValue" : "string",
"fromValue" : "number",
"toValue" : "number",
"unitCode" : "string",
"unit" : "string",
"unitShorthand" : "string",
"classification" : "string",
"type" : "string",
"order" : "integer",
"polyvalent" : true,
"featureType" : {
"@odata.type" : "Microsoft.NAV.pimxFeatureType"
},
"parentItemNo" : "string",
"dataId" : "string",
"valueSearchDescription" : "string",
"importance" : {
"@odata.type" : "Microsoft.NAV.pimxImportance"
},
"relevance" : {
"@odata.type" : "Microsoft.NAV.pimxRelevance"
},
"valueSetId" : "integer",
"sorting" : "integer",
"element" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"usageTypeCode" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"featuresValues" : [ {
"@odata.type" : "Microsoft.NAV.featureValue"
} ],
"featureValueSets" : [ {
"@odata.type" : "Microsoft.NAV.featureValueSet"
} ],
"featureTranslations" : [ {
"@odata.type" : "Microsoft.NAV.featureTranslation"
} ],
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of feature
default
error
odata.error
Up
patch /categories({id})/features({id1})
Update the navigation property features in categories (categories.UpdateFeatures)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of feature format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /categories({id})/items
Create new navigation property to items for categories (categories.CreateItems)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"sisterLineId" : "string",
"itemId" : "string",
"type" : "string",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"categoryId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ],
"htmlContents" : [ {
"@odata.type" : "Microsoft.NAV.htmlContent"
} ],
"variants" : [ {
"@odata.type" : "Microsoft.NAV.variant"
} ],
"prices" : [ {
"@odata.type" : "Microsoft.NAV.price"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.item
default
error
odata.error
Up
delete /categories({id})/items({id1})
Delete navigation property items for categories (categories.DeleteItems)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of item format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /categories({id})/items({id1})
Get items from categories (categories.GetItems)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of item format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"sisterLineId" : "string",
"itemId" : "string",
"type" : "string",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"categoryId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ],
"htmlContents" : [ {
"@odata.type" : "Microsoft.NAV.htmlContent"
} ],
"variants" : [ {
"@odata.type" : "Microsoft.NAV.variant"
} ],
"prices" : [ {
"@odata.type" : "Microsoft.NAV.price"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.item
default
error
odata.error
Up
get /categories({id})/items({id1})/mainPictureSource
Get media content for the navigation property items from categories (categories.GetItemsMainPictureSource)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of item format: uuid
Return type
byte[]
Example data
Content-Type: application/json
""
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
application/octet-stream
application/json
Responses
200
Retrieved media content
byte[]
default
error
odata.error
Up
get /categories({id})/items
Get items from categories (categories.ListItems)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"sisterLineId" : "string",
"itemId" : "string",
"type" : "string",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"categoryId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ],
"htmlContents" : [ {
"@odata.type" : "Microsoft.NAV.htmlContent"
} ],
"variants" : [ {
"@odata.type" : "Microsoft.NAV.variant"
} ],
"prices" : [ {
"@odata.type" : "Microsoft.NAV.price"
} ]
}, {
"id" : "string (identifier)",
"sisterLineId" : "string",
"itemId" : "string",
"type" : "string",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"categoryId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ],
"htmlContents" : [ {
"@odata.type" : "Microsoft.NAV.htmlContent"
} ],
"variants" : [ {
"@odata.type" : "Microsoft.NAV.variant"
} ],
"prices" : [ {
"@odata.type" : "Microsoft.NAV.price"
} ]
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of item
default
error
odata.error
Up
patch /categories({id})/items({id1})
Update the navigation property items in categories (categories.UpdateItems)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of item format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /categories({id})/keywords
Create new navigation property to keywords for categories (categories.CreateKeywords)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"number" : "string",
"description" : "string",
"order" : "integer",
"dataId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"keywordTranslations" : [ {
"@odata.type" : "Microsoft.NAV.keywordTranslation"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.keyword
default
error
odata.error
Up
delete /categories({id})/keywords({id1})
Delete navigation property keywords for categories (categories.DeleteKeywords)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of keyword format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /categories({id})/keywords({id1})
Get keywords from categories (categories.GetKeywords)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of keyword format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"number" : "string",
"description" : "string",
"order" : "integer",
"dataId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"keywordTranslations" : [ {
"@odata.type" : "Microsoft.NAV.keywordTranslation"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.keyword
default
error
odata.error
Up
get /categories({id})/keywords
Get keywords from categories (categories.ListKeywords)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"number" : "string",
"description" : "string",
"order" : "integer",
"dataId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"keywordTranslations" : [ {
"@odata.type" : "Microsoft.NAV.keywordTranslation"
} ]
}, {
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"number" : "string",
"description" : "string",
"order" : "integer",
"dataId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"keywordTranslations" : [ {
"@odata.type" : "Microsoft.NAV.keywordTranslation"
} ]
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of keyword
default
error
odata.error
Up
patch /categories({id})/keywords({id1})
Update the navigation property keywords in categories (categories.UpdateKeywords)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of keyword format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /categories({id})/references
Create new navigation property to references for categories (categories.CreateReferences)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"referenceType" : "string",
"lineType" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"order" : "integer",
"dataId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.reference
default
error
odata.error
Up
delete /categories({id})/references({id1})
Delete navigation property references for categories (categories.DeleteReferences)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of reference format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /categories({id})/references({id1})
Get references from categories (categories.GetReferences)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of reference format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"referenceType" : "string",
"lineType" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"order" : "integer",
"dataId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.reference
default
error
odata.error
Up
get /categories({id})/references
Get references from categories (categories.ListReferences)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"referenceType" : "string",
"lineType" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"order" : "integer",
"dataId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ]
}, {
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"referenceType" : "string",
"lineType" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"order" : "integer",
"dataId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ]
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of reference
default
error
odata.error
Up
patch /categories({id})/references({id1})
Update the navigation property references in categories (categories.UpdateReferences)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of reference format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /categories({id})/texts
Create new navigation property to texts for categories (categories.CreateTexts)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"class" : "string",
"source" : "string",
"text" : "string",
"element" : "string",
"description" : "string",
"description2" : "string",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"textTranslations" : [ {
"@odata.type" : "Microsoft.NAV.textTranslation"
} ],
"document" : {
"@odata.type" : "Microsoft.NAV.document"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.text
default
error
odata.error
Up
delete /categories({id})/texts({id1})
Delete navigation property texts for categories (categories.DeleteTexts)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of text format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /categories({id})/texts({id1})
Get texts from categories (categories.GetTexts)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of text format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"class" : "string",
"source" : "string",
"text" : "string",
"element" : "string",
"description" : "string",
"description2" : "string",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"textTranslations" : [ {
"@odata.type" : "Microsoft.NAV.textTranslation"
} ],
"document" : {
"@odata.type" : "Microsoft.NAV.document"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.text
default
error
odata.error
Up
get /categories({id})/texts({id1})/source
Get media content for the navigation property texts from categories (categories.GetTextsSource)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of text format: uuid
Return type
byte[]
Example data
Content-Type: application/json
""
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
application/octet-stream
application/json
Responses
200
Retrieved media content
byte[]
default
error
odata.error
Up
get /categories({id})/texts
Get texts from categories (categories.ListTexts)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"class" : "string",
"source" : "string",
"text" : "string",
"element" : "string",
"description" : "string",
"description2" : "string",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"textTranslations" : [ {
"@odata.type" : "Microsoft.NAV.textTranslation"
} ],
"document" : {
"@odata.type" : "Microsoft.NAV.document"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}, {
"id" : "string (identifier)",
"parentEntityId" : "string",
"group" : "string",
"class" : "string",
"source" : "string",
"text" : "string",
"element" : "string",
"description" : "string",
"description2" : "string",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"textTranslations" : [ {
"@odata.type" : "Microsoft.NAV.textTranslation"
} ],
"document" : {
"@odata.type" : "Microsoft.NAV.document"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of text
default
error
odata.error
Up
patch /categories({id})/texts({id1})
Update the navigation property texts in categories (categories.UpdateTexts)
Path parameters
id (required)
Path Parameter — key: id of category format: uuid
id1 (required)
Path Parameter — key: id of text format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Add new entity to changedLines (changedLines.changedLine.CreateChangedLine)
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New entity
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"lineId" : "string",
"lineType" : "string",
"publicationCode" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentLineUrl" : "string",
"dateModified" : "string (timestamp)",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created entity
Microsoft.NAV.changedLine
default
error
odata.error
Up
get /changedLines({id})
Get entity from changedLines by key (changedLines.changedLine.GetChangedLine)
Path parameters
id (required)
Path Parameter — key: id of changedLine format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"lineId" : "string",
"lineType" : "string",
"publicationCode" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentLineUrl" : "string",
"dateModified" : "string (timestamp)",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved entity
Microsoft.NAV.changedLine
default
error
odata.error
Get entities from changedLines (changedLines.changedLine.ListChangedLine)
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"lineId" : "string",
"lineType" : "string",
"publicationCode" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentLineUrl" : "string",
"dateModified" : "string (timestamp)",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
}
}, {
"id" : "string (identifier)",
"lineId" : "string",
"lineType" : "string",
"publicationCode" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentLineUrl" : "string",
"dateModified" : "string (timestamp)",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved entities
Collection of changedLine
default
error
odata.error
Up
post /companies({id})/categories
Create new navigation property to categories for companies (companies.CreateCategories)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"type" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"parentId" : "string",
"categoryId" : "string",
"sisterLineId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"items" : [ {
"@odata.type" : "Microsoft.NAV.item"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.category
default
error
odata.error
Up
delete /companies({id})/categories({id1})
Delete navigation property categories for companies (companies.DeleteCategories)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
id1 (required)
Path Parameter — key: id of category format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /companies({id})/categories({id1})
Get categories from companies (companies.GetCategories)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
id1 (required)
Path Parameter — key: id of category format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"type" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"parentId" : "string",
"categoryId" : "string",
"sisterLineId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"items" : [ {
"@odata.type" : "Microsoft.NAV.item"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.category
default
error
odata.error
Up
get /companies({id})/categories({id1})/mainPictureSource
Get media content for the navigation property categories from companies (companies.GetCategoriesMainPictureSource)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
id1 (required)
Path Parameter — key: id of category format: uuid
Return type
byte[]
Example data
Content-Type: application/json
""
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
application/octet-stream
application/json
Responses
200
Retrieved media content
byte[]
default
error
odata.error
Up
get /companies({id})/categories
Get categories from companies (companies.ListCategories)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"type" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"parentId" : "string",
"categoryId" : "string",
"sisterLineId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"items" : [ {
"@odata.type" : "Microsoft.NAV.item"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ]
}, {
"id" : "string (identifier)",
"publicationCode" : "string",
"number" : "string",
"description" : "string",
"description2" : "string",
"type" : "string",
"mainPictureId" : "string",
"mainPictureSource" : "string",
"element" : "string",
"parentId" : "string",
"categoryId" : "string",
"sisterLineId" : "string",
"templateCode" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"items" : [ {
"@odata.type" : "Microsoft.NAV.item"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ]
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of category
default
error
odata.error
Up
patch /companies({id})/categories({id1})
Update the navigation property categories in companies (companies.UpdateCategories)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
id1 (required)
Path Parameter — key: id of category format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /companies({id})/changedLines
Create new navigation property to changedLines for companies (companies.CreateChangedLines)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"lineId" : "string",
"lineType" : "string",
"publicationCode" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentLineUrl" : "string",
"dateModified" : "string (timestamp)",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.changedLine
default
error
odata.error
Up
delete /companies({id})/changedLines({id1})
Delete navigation property changedLines for companies (companies.DeleteChangedLines)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
id1 (required)
Path Parameter — key: id of changedLine format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /companies({id})/changedLines({id1})
Get changedLines from companies (companies.GetChangedLines)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
id1 (required)
Path Parameter — key: id of changedLine format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"lineId" : "string",
"lineType" : "string",
"publicationCode" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentLineUrl" : "string",
"dateModified" : "string (timestamp)",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.changedLine
default
error
odata.error
Up
get /companies({id})/changedLines
Get changedLines from companies (companies.ListChangedLines)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"lineId" : "string",
"lineType" : "string",
"publicationCode" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentLineUrl" : "string",
"dateModified" : "string (timestamp)",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
}
}, {
"id" : "string (identifier)",
"lineId" : "string",
"lineType" : "string",
"publicationCode" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentLineUrl" : "string",
"dateModified" : "string (timestamp)",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of changedLine
default
error
odata.error
Up
patch /companies({id})/changedLines({id1})
Update the navigation property changedLines in companies (companies.UpdateChangedLines)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
id1 (required)
Path Parameter — key: id of changedLine format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Get entity from companies by key (companies.company.GetCompany)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"systemVersion" : "string",
"timestamp" : "integer",
"name" : "string",
"displayName" : "string",
"businessProfileId" : "string",
"systemCreatedAt" : "string (timestamp)",
"systemCreatedBy" : "string",
"systemModifiedAt" : "string (timestamp)",
"systemModifiedBy" : "string",
"changedLines" : [ {
"@odata.type" : "Microsoft.NAV.changedLine"
} ],
"deletedLines" : [ {
"@odata.type" : "Microsoft.NAV.deletedLine"
} ],
"htmlContents" : [ {
"@odata.type" : "Microsoft.NAV.htmlContent"
} ],
"featureValueSets" : [ {
"@odata.type" : "Microsoft.NAV.featureValueSet"
} ],
"valueTranslations" : [ {
"@odata.type" : "Microsoft.NAV.valueTranslation"
} ],
"prices" : [ {
"@odata.type" : "Microsoft.NAV.price"
} ],
"categories" : [ {
"@odata.type" : "Microsoft.NAV.category"
} ],
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"featuresValues" : [ {
"@odata.type" : "Microsoft.NAV.featureValue"
} ],
"featureTranslations" : [ {
"@odata.type" : "Microsoft.NAV.featureTranslation"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"textTranslations" : [ {
"@odata.type" : "Microsoft.NAV.textTranslation"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"documentTranslations" : [ {
"@odata.type" : "Microsoft.NAV.documentTranslation"
} ],
"items" : [ {
"@odata.type" : "Microsoft.NAV.item"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"keywordTranslations" : [ {
"@odata.type" : "Microsoft.NAV.keywordTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ],
"variants" : [ {
"@odata.type" : "Microsoft.NAV.variant"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved entity
Microsoft.NAV.company
default
error
odata.error
Get entities from companies (companies.company.ListCompany)
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"systemVersion" : "string",
"timestamp" : "integer",
"name" : "string",
"displayName" : "string",
"businessProfileId" : "string",
"systemCreatedAt" : "string (timestamp)",
"systemCreatedBy" : "string",
"systemModifiedAt" : "string (timestamp)",
"systemModifiedBy" : "string",
"changedLines" : [ {
"@odata.type" : "Microsoft.NAV.changedLine"
} ],
"deletedLines" : [ {
"@odata.type" : "Microsoft.NAV.deletedLine"
} ],
"htmlContents" : [ {
"@odata.type" : "Microsoft.NAV.htmlContent"
} ],
"featureValueSets" : [ {
"@odata.type" : "Microsoft.NAV.featureValueSet"
} ],
"valueTranslations" : [ {
"@odata.type" : "Microsoft.NAV.valueTranslation"
} ],
"prices" : [ {
"@odata.type" : "Microsoft.NAV.price"
} ],
"categories" : [ {
"@odata.type" : "Microsoft.NAV.category"
} ],
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"featuresValues" : [ {
"@odata.type" : "Microsoft.NAV.featureValue"
} ],
"featureTranslations" : [ {
"@odata.type" : "Microsoft.NAV.featureTranslation"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"textTranslations" : [ {
"@odata.type" : "Microsoft.NAV.textTranslation"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"documentTranslations" : [ {
"@odata.type" : "Microsoft.NAV.documentTranslation"
} ],
"items" : [ {
"@odata.type" : "Microsoft.NAV.item"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"keywordTranslations" : [ {
"@odata.type" : "Microsoft.NAV.keywordTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ],
"variants" : [ {
"@odata.type" : "Microsoft.NAV.variant"
} ]
}, {
"id" : "string (identifier)",
"systemVersion" : "string",
"timestamp" : "integer",
"name" : "string",
"displayName" : "string",
"businessProfileId" : "string",
"systemCreatedAt" : "string (timestamp)",
"systemCreatedBy" : "string",
"systemModifiedAt" : "string (timestamp)",
"systemModifiedBy" : "string",
"changedLines" : [ {
"@odata.type" : "Microsoft.NAV.changedLine"
} ],
"deletedLines" : [ {
"@odata.type" : "Microsoft.NAV.deletedLine"
} ],
"htmlContents" : [ {
"@odata.type" : "Microsoft.NAV.htmlContent"
} ],
"featureValueSets" : [ {
"@odata.type" : "Microsoft.NAV.featureValueSet"
} ],
"valueTranslations" : [ {
"@odata.type" : "Microsoft.NAV.valueTranslation"
} ],
"prices" : [ {
"@odata.type" : "Microsoft.NAV.price"
} ],
"categories" : [ {
"@odata.type" : "Microsoft.NAV.category"
} ],
"features" : [ {
"@odata.type" : "Microsoft.NAV.feature"
} ],
"featuresValues" : [ {
"@odata.type" : "Microsoft.NAV.featureValue"
} ],
"featureTranslations" : [ {
"@odata.type" : "Microsoft.NAV.featureTranslation"
} ],
"texts" : [ {
"@odata.type" : "Microsoft.NAV.text"
} ],
"textTranslations" : [ {
"@odata.type" : "Microsoft.NAV.textTranslation"
} ],
"documents" : [ {
"@odata.type" : "Microsoft.NAV.document"
} ],
"documentsSources" : [ {
"@odata.type" : "Microsoft.NAV.documentSource"
} ],
"documentTranslations" : [ {
"@odata.type" : "Microsoft.NAV.documentTranslation"
} ],
"items" : [ {
"@odata.type" : "Microsoft.NAV.item"
} ],
"references" : [ {
"@odata.type" : "Microsoft.NAV.reference"
} ],
"defaultTranslations" : [ {
"@odata.type" : "Microsoft.NAV.defaultTranslation"
} ],
"keywords" : [ {
"@odata.type" : "Microsoft.NAV.keyword"
} ],
"keywordTranslations" : [ {
"@odata.type" : "Microsoft.NAV.keywordTranslation"
} ],
"contents" : [ {
"@odata.type" : "Microsoft.NAV.content"
} ],
"variants" : [ {
"@odata.type" : "Microsoft.NAV.variant"
} ]
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved entities
Collection of company
default
error
odata.error
Up
post /companies({id})/contents
Create new navigation property to contents for companies (companies.CreateContents)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"publicationCode" : "string",
"lineId" : "string",
"lineType" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentEntityUrl" : "string",
"templateCode" : "string",
"level" : "integer",
"lineNo" : "integer",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.content
default
error
odata.error
Up
delete /companies({id})/contents({id1})
Delete navigation property contents for companies (companies.DeleteContents)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
id1 (required)
Path Parameter — key: id of content format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /companies({id})/contents({id1})
Get contents from companies (companies.GetContents)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
id1 (required)
Path Parameter — key: id of content format: uuid
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"id" : "string (identifier)",
"publicationCode" : "string",
"lineId" : "string",
"lineType" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentEntityUrl" : "string",
"templateCode" : "string",
"level" : "integer",
"lineNo" : "integer",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.content
default
error
odata.error
Up
get /companies({id})/contents
Get contents from companies (companies.ListContents)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"id" : "string (identifier)",
"publicationCode" : "string",
"lineId" : "string",
"lineType" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentEntityUrl" : "string",
"templateCode" : "string",
"level" : "integer",
"lineNo" : "integer",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
}, {
"id" : "string (identifier)",
"publicationCode" : "string",
"lineId" : "string",
"lineType" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentEntityUrl" : "string",
"templateCode" : "string",
"level" : "integer",
"lineNo" : "integer",
"dataId" : "string",
"state" : {
"@odata.type" : "Microsoft.NAV.pimxPublicationLineState"
},
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of content
default
error
odata.error
Up
patch /companies({id})/contents({id1})
Update the navigation property contents in companies (companies.UpdateContents)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
id1 (required)
Path Parameter — key: id of content format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /companies({id})/defaultTranslations
Create new navigation property to defaultTranslations for companies (companies.CreateDefaultTranslations)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"lineGuid" : "string (identifier)",
"lang" : "string (identifier)",
"description" : "string",
"description2" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"reference" : {
"@odata.type" : "Microsoft.NAV.reference"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.defaultTranslation
default
error
odata.error
Up
delete /companies({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})
Delete navigation property defaultTranslations for companies (companies.DeleteDefaultTranslations)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
lineGuid (required)
Path Parameter — key: lineGuid of defaultTranslation format: uuid
lang (required)
Path Parameter — key: lang of defaultTranslation
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /companies({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})
Get defaultTranslations from companies (companies.GetDefaultTranslations)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
lineGuid (required)
Path Parameter — key: lineGuid of defaultTranslation format: uuid
lang (required)
Path Parameter — key: lang of defaultTranslation
Query parameters
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"lineGuid" : "string (identifier)",
"lang" : "string (identifier)",
"description" : "string",
"description2" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"reference" : {
"@odata.type" : "Microsoft.NAV.reference"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Microsoft.NAV.defaultTranslation
default
error
odata.error
Up
get /companies({id})/defaultTranslations
Get defaultTranslations from companies (companies.ListDefaultTranslations)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
Query parameters
$top (optional)
Query Parameter — Show only the first n items
$skip (optional)
Query Parameter — Skip the first n items
$search (optional)
Query Parameter — Search items by search phrases
$filter (optional)
Query Parameter — Filter items by property values
$count (optional)
Query Parameter — Include count of items
$orderby (optional)
Query Parameter — Order items by property values
$select (optional)
Query Parameter — Select properties to be returned
$expand (optional)
Query Parameter — Expand related entities
Return type
Example data
Content-Type: application/json
{
"value" : [ {
"lineGuid" : "string (identifier)",
"lang" : "string (identifier)",
"description" : "string",
"description2" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"reference" : {
"@odata.type" : "Microsoft.NAV.reference"
}
}, {
"lineGuid" : "string (identifier)",
"lang" : "string (identifier)",
"description" : "string",
"description2" : "string",
"category" : {
"@odata.type" : "Microsoft.NAV.category"
},
"item" : {
"@odata.type" : "Microsoft.NAV.item"
},
"reference" : {
"@odata.type" : "Microsoft.NAV.reference"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
Retrieved navigation property
Collection of defaultTranslation
default
error
odata.error
Up
patch /companies({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})
Update the navigation property defaultTranslations in companies (companies.UpdateDefaultTranslations)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
lineGuid (required)
Path Parameter — key: lineGuid of defaultTranslation format: uuid
lang (required)
Path Parameter — key: lang of defaultTranslation
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property values
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
post /companies({id})/deletedLines
Create new navigation property to deletedLines for companies (companies.CreateDeletedLines)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — New navigation property
Return type
Example data
Content-Type: application/json
{
"logId" : "string (identifier)",
"id" : "string",
"lineId" : "string",
"lineType" : "string",
"publicationCode" : "string",
"lineEntityUrl" : "string",
"parentLineId" : "string",
"parentLineType" : "string",
"parentLineUrl" : "string",
"dateModified" : "string (timestamp)"
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
Created navigation property.
Microsoft.NAV.deletedLine
default
error
odata.error
Up
delete /companies({id})/deletedLines({logId})
Delete navigation property deletedLines for companies (companies.DeleteDeletedLines)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
logId (required)
Path Parameter — key: logId of deletedLine format: uuid
Request headers
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
204
Success
default
error
odata.error
Up
get /companies({id})/deletedLines({logId})
Get deletedLines from companies (companies.GetDeletedLines)
Path parameters
id (required)
Path Parameter — key: id of company format: uuid
logId (required)
Path Parameter — key: logId of deletedLine format: uuid
Query parameters
$select (optional)
[...]
